Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226887 - dev-libs/libxml: append-ldflags is used to pass libraries
Summary: dev-libs/libxml: append-ldflags is used to pass libraries
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: append-ldflags-libs
  Show dependency tree
 
Reported: 2008-06-14 18:13 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-10-14 09:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 18:13:20 UTC
I've made append-ldflags throw a warning when libraries are passed through it
to link them in.

The reason is that LDFLAGS should _not_ be used for libraries, as it has to be
positioned before the list of objects to link together, while libraries should
go after.

This mistake in commandline is what causes as-needed to either fail or not
apply at all (if LDFLAGS are put at the end).

Please fix your package not to pass libraries through LDFLAGS.
Comment 1 Hans de Graaff gentoo-dev 2008-06-15 08:33:40 UTC
dev-libs/libxml is deprecated, so it would be nice if we could phase this out. The following packages seem to still depend on it:

app-admin/prelude-manager:xml
games-util/loki_setupdb
media-sound/glame
media-sound/terminatorx
net-print/omni

glame has dependencies on both libxml and libxml2, so that seems fishy, perhaps the libxml dependency is no longer needed there. The latest version of omni has been ported to use libxml2.
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-09-13 03:00:44 UTC
Feel free to motivate the phase out.. Until that happens, treecleaner@g.o doesn't need to be on this bug.
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-10-14 09:24:41 UTC
I just fixed it for now.